@import '../../variables';

.filter-button {
  width: 100%;
  background-color: #fff;
  border-radius: 0px;
  border: none;
  border-top: 3px solid map-get($theme-colors, 'secondary-lightest');
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.05);

  &:not(:disabled):not(.disabled) {
    color: map-get($theme-colors, 'secondary');
    border-color: map-get($theme-colors, 'secondary-lightest');

    &:hover:not(.active) {
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
      background-color: #fff;
      color: map-get($theme-colors, 'secondary');
      border-color: map-get($theme-colors, 'secondary');
    }

    &:active {
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
      color: map-get($theme-colors, 'secondary');
    }

    &.active {
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
      background-color: #fff;
      color: map-get($theme-colors, 'primary');
      font-weight: bold;
    }
  }

  &:disabled {
    color: map-get($theme-colors, 'secondary-light');
    &:hover {
      border-color: map-get($theme-colors, 'secondary-lightest');
    }
    // border-color: map-get($theme-colors, 'secondary-lightest');
  }

  @media (max-width: 1199px) {
    .label.text-small {
      font-size: 0.88rem;
      line-height: 1.5rem;
    }
  }

  .icon-wrapper {
    float: left;
    max-width: 200px;
  }
}
